## org.opencyc.elf
Class NodeComponent

    java.lang.Object
      |
      +--org.opencyc.elf.ELFObject
            |
            +--org.opencyc.elf.NodeComponent

Direct Known Subclasses:
  BehaviorGeneration, Executor, Planner, WorldModel

public abstract class NodeComponent
extends ELFObject

Provides common attributes and behavior for Elementary Loop Functioning (ELF) node components.

Author:
  Stephen L. Reed

  Copyright 2001 Cycorp, Inc., license is open source GNU LGPL.

  the license

  www.opencyc.org

  OpenCyc at SourceForge

  THIS SOFTWARE AND KNOWLEDGE BASE CONTENT ARE PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE OPENCYC ORGANIZATION OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE AND KNOWLEDGE BASE CONTENT, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Field Summary
`static int` `DEFAULT_VERBOSITY` The default verbosity of this object's output.
`protected org.opencyc.uml.core.Procedure` `interruptionRequest` the interruption procedure to execute
`protected Node` `node` Reference to the ELF Node which contains this object.
`protected boolean` `pendingInterruption` indicates a pending interruption
`protected int` `verbosity` Sets verbosity of this object's output.

Fields inherited from class org.opencyc.elf.ELFObject
`name`

Constructor Summary
`NodeComponent()`

Method Summary
`Node` `getNode()` Gets the ELF Node which contains this object.
`java.util.ArrayList` `interrupt(org.opencyc.uml.core.Procedure interruptionRequest)` Requests an interruption of the current processing of this node component to execute the given procedure and to return the list of the output pin values.
`void` `setNode(Node node)` Sets the ELF Node which contains this object.
`void` `setVerbosity(int verbosity)` Sets verbosity of this object's output.

Methods inherited from class org.opencyc.elf.ELFObject
`getName, setName, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT_VERBOSITY

    public static final int DEFAULT_VERBOSITY

  The default verbosity of this object's output. 0 --> quiet ... 9 -> maximum diagnostic input.

### verbosity

    protected int verbosity

  Sets verbosity of this object's output. 0 --> quiet ... 9 -> maximum diagnostic input.

### node

    protected Node node

  Reference to the ELF Node which contains this object.

### pendingInterruption

    protected boolean pendingInterruption

  indicates a pending interruption

### interruptionRequest

    protected org.opencyc.uml.core.Procedure interruptionRequest

  the interruption procedure to execute

Constructor Detail

### NodeComponent

    public NodeComponent()

Method Detail

### getNode

    public Node getNode()

  Gets the ELF Node which contains this object.
  Returns:
    the ELF Node which contains this object

### interrupt

    public java.util.ArrayList interrupt(org.opencyc.uml.core.Procedure interruptionRequest)

  Requests an interruption of the current processing of this node component to execute the given procedure and to return the list of the output pin values.
  Parameters:
    `interruptionRequest` - the given interruption procedure to execute
  Returns:
    the list of the output pin values

### setNode

    public void setNode(Node node)

  Sets the ELF Node which contains this object.
  Parameters:
    `node` - the ELF Node which contains this object

### setVerbosity

    public void setVerbosity(int verbosity)

  Sets verbosity of this object's output. 0 --> quiet ... 9 -> maximum diagnostic input.
  Parameters:
    `verbosity` - 0 --> quiet ... 9 -> maximum diagnostic input